%global cpan_name DateTime-Format-Duration
%global postversion a

Name:           perl-%{cpan_name}
Version:        1.03
Release:        1.%{postversion}%{?dist}
Summary:        Format and parse DateTime::Durations
# Old FSF address reported to upstream as CPAN RT #82055
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{cpan_name}/
Source0:        http://www.cpan.org/modules/by-module/DateTime/%{cpan_name}-%{version}%{postversion}.tgz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime) >= 0.30
BuildRequires:  perl(DateTime::Duration)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Params::Validate)
# Tests:
BuildRequires:  perl(Test::More)
# Optional tests:
BuildRequires:  perl(Test::Pod)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper)
Requires:       perl(DateTime) >= 0.30

%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.


%prep
%setup -q -n %{cpan_name}-%{version}
find -type f -exec chmod -x {} +
for F in Changes; do
    iconv -f iso8859-1 -t utf-8 < "$F" > "${F}.utf"
    touch -r "$F" "${F}.utf"
    mv "${F}.utf" "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec 17 2012 Petr Pisar <ppisar@redhat.com> 1.03-1.a
- Specfile autogenerated by cpanspec 1.78.
- Tar ball 1.03a delivers plain version 1.03 (tar ball 1.03 defines old
  $VERSION)
